Description

I have already had a local fork with Devise authentication integration but tests are not complete. Would it be a good idea to merge it

into redmine when all tests are repaired?

History

#1 - 2012-11-16 10:53 - Etienne Massip

- Category set to Accounts / authentication

#2 - 2012-12-07 09:49 - Anton Orel

So, the issue is complete. I couldn't attach the patch due to limit 500k. There is the link to github commit 

https://github.com/skyeagle/redmine/commit/19fabe80057b15bdda4298b5330e536773776386.

First of all, it is worth to be mentioned that using https://github.com/grosser/parallel_tests gives biggest advantage for running tests. It wasn't added in

this patch, but it is really awesome and recommended to use it. Before it was added each tests running took about 8 minutes, after it enabled and

some long running tests was skipped it took ~ 2-3 minutes (on 4 core processor).

What are done:

All tests were kept. Added missed tests.

All devise basic features work.

OpenID reimplemented using omniauth-openid and seperate AR store gem.

Enabling openid requires to run rake task (rake openid_active_record_store_engine:install:migrations) what will copy missed migrations from

rails engine.

Added additional setting - extend autologin.

Added default devise translations to English locale.

Added feature to sign in with login or email with backward compatibility for case sensitive of logins.

Added feature to reconfirm changed email.

It is possible to use default devise's Bcrypt strategy for store passwords. Some instructions will written soon.

What was broken up:

session lifetime settings option was wiped out. We didn't find any cases where it could be useful.

AuthSource model and etc wiped out. LDAP and the other authentications could be easy added for devise but it isn't main goal at the moment.

We are going to kept up to date this fork of edavis10/redmine with devise integration.

Any thoughts appreciated.

#3 - 2012-12-07 12:28 - Anton Orel

There are a few broken tests which will be repaired. The main repository is https://github.com/skyeagle/redmine/tree/devise. If someone interested in,

it could be quickly tested.

#4 - 2014-01-17 14:09 - Ebrahim Mohammadi

Interesting!

#5 - 2018-11-28 13:01 - Anonymous

Would love to see Devise in Redmine.

Seems to be more and more relevant to offer different authentication methods as the web evolves. Username + password authentication has been

around too long already!
